Bug 184525 - grubby blows up when updating kernel
grubby blows up when updating kernel
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 12:02 EST by Bryan Christ
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-06 13:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Christ 2006-03-09 12:02:40 EST
Description of problem:

grubby blows up on a double free when trying to update kernel-smp


Version-Release number of selected component (if applicable):
grubby version 5.0.28

How reproducible:
This has happend the last 3 times I have tried to update my kernel-smp using yum
on Fedora Core 5 test 3

Steps to Reproduce:
1.  yum update kernel-smp
2.
3.
  
Actual results:

Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Removing  : kernel-smp                   ######################### [1/2]
  Installing: kernel-smp                   ######################### [2/2]
*** glibc detected *** /sbin/grubby: double free or corruption (out): 0xbf869400 ***
======= Backtrace: =========
/lib/libc.so.6[0x9f1f18]
/lib/libc.so.6(__libc_free+0x79)[0x9f541d]
/sbin/grubby[0x804fd12]
/sbin/grubby[0x804fe73]
/sbin/grubby[0x8050c9e]
/lib/libc.so.6(__libc_start_main+0xdc)[0x9a37e4]
/sbin/grubby[0x804a001]
======= Memory map: ========
00733000-00734000 r-xp 00733000 00:00 0          [vdso]
00971000-0098a000 r-xp 00000000 30:03 1113060    /lib/ld-2.4.so
0098a000-0098b000 r-xp 00018000 30:03 1113060    /lib/ld-2.4.so
0098b000-0098c000 rwxp 00019000 30:03 1113060    /lib/ld-2.4.so
0098e000-00aba000 r-xp 00000000 30:03 1113066    /lib/libc-2.4.so
00aba000-00abd000 r-xp 0012b000 30:03 1113066    /lib/libc-2.4.so
00abd000-00abe000 rwxp 0012e000 30:03 1113066    /lib/libc-2.4.so
00abe000-00ac1000 rwxp 00abe000 00:00 0
05c82000-05c8d000 r-xp 00000000 30:03 1113181    /lib/libgcc_s-4.1.0-20060219.so.1
05c8d000-05c8e000 rwxp 0000a000 30:03 1113181    /lib/libgcc_s-4.1.0-20060219.so.1
08048000-08089000 r-xp 00000000 30:03 1407714    /sbin/grubby
08089000-0808c000 rw-p 00041000 30:03 1407714    /sbin/grubby
0808c000-08094000 rw-p 0808c000 00:00 0
0931e000-0933f000 rw-p 0931e000 00:00 0          [heap]
b7e00000-b7e21000 rw-p b7e00000 00:00 0
b7e21000-b7f00000 ---p b7e21000 00:00 0
b7f5c000-b7f5d000 rw-p b7f5c000 00:00 0
b7f6b000-b7f6c000 rw-p b7f6b000 00:00 0
bf857000-bf86c000 rw-p bf857000 00:00 0          [stack]
/sbin/new-kernel-pkg: line 89:  3705 Aborted                 /sbin/grubby
--add-kernel=$bootPrefix/$kernelName-$version $INITRD --copy-default
$makedefault --title "$title" ${mbkernel:+--add-multiboot="$mbkernel"}
${mbargs:+--mbargs="$mbargs"} --args="root=$rootdevice $kernargs"
--remove-kernel="TITLE=$title"

Removed: kernel-smp.i686 0:2.6.15-1.2025_FC5
Installed: kernel-smp.i686 0:2.6.15-1.2032_FC5
Complete!


Expected results:


Additional info:

here is a copy of my grub.conf:

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/rd/c0d0p3
#          initrd /initrd-version.img
boot=/dev/rd/c0d0
default=0
timeout=12
#splashimage=(hd0,0)/grub/splash.xpm.gz
#hiddenmenu

title Fedora Core (2.6.15-1.1996_FC5smp)
        root (hd0,0)
        kernel /vmlinuz-2.6.15-1.1996_FC5smp ro root=LABEL=/ quiet elevator=deadline
        initrd /initrd-2.6.15-1.1996_FC5smp.img
Comment 1 Matthew Miller 2007-04-06 12:14:20 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Bryan Christ 2007-04-06 13:03:14 EDT
This does not happen with FC6 release version.  Recommend closing.
Comment 3 Matthew Miller 2007-04-06 13:06:28 EDT
Thank you.

Note You need to log in before you can comment on or make changes to this bug.